EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_access_action_name_get, const char *, NULL, EFL_FUNC_CALL(id), int id);

const char *_efl_access_action_action_localized_name_get(const Eo *obj, void *pd, int id);

EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_access_action_localized_name_get, const char *, NULL, EFL_FUNC_CALL(id), int id);
EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_action_description_set, Eina_Bool, 0, EFL_FUNC_CALL(id, description), int id, const char *description);
EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_access_action_description_get, const char *, NULL, EFL_FUNC_CALL(id), int id);
EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_access_action_actions_get, Eina_List *, NULL);
EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_action_do, Eina_Bool, 0, EFL_FUNC_CALL(id), int id);
EAPI EAPI_WEAK EFL_FUNC_BODYV(efl_access_action_keybinding_get, char *, NULL, EFL_FUNC_CALL(id), int id);

static Eina_Bool
_efl_access_action_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_ACCESS_ACTION_EXTRA_OPS
#define EFL_ACCESS_ACTION_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_access_action_name_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_action_localized_name_get, _efl_access_action_action_localized_name_get),
      EFL_OBJECT_OP_FUNC(efl_access_action_description_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_action_description_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_action_actions_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_action_do, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_action_keybinding_get, NULL),
      EFL_ACCESS_ACTION_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_access_action_class_desc = {
   EO_VERSION,
   "Efl.Access.Action",
   EFL_CLASS_TYPE_MIXIN,
   0,
   _efl_access_action_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_access_action_mixin_get, &_efl_access_action_class_desc, NULL, NULL);
